package com.example.order;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name="product", url="${api.url.product}")    //, (fallback = ProductServiceFallback.class)
public interface ProductService {
    @RequestMapping(method= RequestMethod.PUT, path="/products/{productId}/decreaseStock/{qty}")
    int decreaseStock(@PathVariable("productId") Long productId,
                              @PathVariable("qty") int qty);
}